
Packaging - Bug #37106

Add python-setuptools as an installation dependency for EL6 katello-host-tools

01/25/2024 06:28 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: RPMs   

Target version: 3.10.0   

Difficulty:  Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/10321

  

Description

Fixes:

[root@rhel6 ~]# katello-enabled-repos-upload --force

Traceback (most recent call last):

File "/usr/sbin/katello-enabled-repos-upload", line 5, in <module>

from pkg_resources import load_entry_point

ImportError: No module named pkg_resources

[root@akapse-rhel6 ~]# katello-enabled-repos-upload

Traceback (most recent call last):

File "/usr/sbin/katello-enabled-repos-upload", line 5, in <module>

from pkg_resources import load_entry_point

ImportError: No module named pkg_resources

[root@rhel6 ~]# katello-package-upload

Traceback (most recent call last):

File "/usr/sbin/katello-package-upload", line 5, in <module>

from pkg_resources import load_entry_point

ImportError: No module named pkg_resources

Associated revisions

Revision bb88a04e - 01/30/2024 02:15 PM - Ian Ballou

Fixes #37106 - add python-setuptools dep to el6/7 katello-host-tools

History

#1 - 01/25/2024 06:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ian Ballou

- Pull request https://github.com/theforeman/foreman-packaging/pull/10321 added

#2 - 01/30/2024 02:16 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#3 - 01/30/2024 03:00 PM - Ian Ballou

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|bb88a04e58c34cb18390639e127d0cc27730aa6b.
